Bug 480899 - Incorrect name for each audio multi-channel setting
Incorrect name for each audio multi-channel setting
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: alsa-utils (Show other bugs)
5.2
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Jaroslav Kysela
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 04:00 EST by wayneh
Modified: 2010-01-12 10:26 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wayneh 2009-01-21 04:00:51 EST
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648)

Incorrect name for each audio multi-channel setting

Reproducible: Always

Steps to Reproduce:
1.Install RedHat RHEL 5.2 (64bit)
 2.Install video driver.
 3.Start X windows
 4.Click system.
 5.Click "Preferences".
 6.Click "volume control"-->click Edit-->click "Preferences"
   -->select volume control preferences for 5.1 or 7.1 multi-channel.
 7.It shows Front ,Surround,Center,LFE and Side.
   For 5.1 channels should be "Front" ,"Rear" ,"Center" ,and "Sub Woofer".
   For 7.1 channels should be "Front" ,"Rear","Side","Center",and "Sub Woofer".
Actual Results:  
In the audio controller interface,it shows Front ,Surround,Center,LFE and Side.


Expected Results:  
In the audio controller interface,
For 5.1 channels should be "Front" ,"Rear" ,"Center" ,and "Sub Woofer".
For 7.1 channels should be "Front" ,"Rear","Side","Center",and "Sub Woofer".
Comment 1 wayneh 2009-02-25 02:11:17 EST
This issue is still observed with RHEL 5.3. Thanks.
Comment 2 Jaroslav Kysela 2009-03-23 10:33:45 EDT
LFE is just Subwoofer. It means Low Frequency Effects.
Surround is a bit historic name for Rear speakers.

If I understand correctly, physical outputs are swapped in 7.1 configuration (sounds for Center+LFE goes to Side speakers and versa vice) for your hardware?
Comment 3 wayneh 2009-04-02 03:25:20 EDT
(In reply to comment #2)
> LFE is just Subwoofer. It means Low Frequency Effects.
> Surround is a bit historic name for Rear speakers.
> 
> If I understand correctly, physical outputs are swapped in 7.1 configuration
> (sounds for Center+LFE goes to Side speakers and versa vice) for your hardware?  

Hi Jaroslav,
I am sorry, I don't understand your question."(sounds for Center+LFE goes to Side speakers and versa vice) for your hardware?" 
Could you help to explain your question with example again?
Comment 4 Jaroslav Kysela 2009-04-02 03:48:21 EDT
Please, could you make a table which physical outputs (channels) maps to mixer names (assuming that some channels are swapped)? E.g. something like this:

Physical        Mixer
Rear Left       Front Left
Center          Surround Left

etc. Just to make things clear. Thank you.
Comment 5 wayneh 2009-07-15 04:33:25 EDT
Hi Sir,

For 5.1 channels,

Physical:                              Mixer:
left and right                         Front
Surround left and surround right       Rear
center                                 Center
low-frequency effects                  Sub Woofer

For 7.1 channels,

Physical:                              Mixer:  
left and right                         Front
left back and right back               Rear
left surround and right surround       Side
center                                 Center
low-frequency                          Sub Woofer
Comment 6 wayneh 2009-11-11 02:23:10 EST
Hi Sir,
Thanks for your comment. We treat this issue as work as design. Thanks.

Note You need to log in before you can comment on or make changes to this bug.